package com.ym.mec.cms.interceptor;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Lazy;
import org.springframework.web.servlet.handler.HandlerInterceptorAdapter;

import com.ym.mec.auth.api.client.SysUserFeignService;
import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.cms.dal.entity.TenantInfo;
import com.ym.mec.cms.service.TenantInfoService;
import com.ym.mec.common.tenant.TenantContextHolder;

public class TenantInterceptor extends HandlerInterceptorAdapter {

	private static final String DATA_SOURCE_ID = "datasourceId";

	@Autowired
	@Lazy
	private SysUserFeignService sysUserFeignService;
	
	@Autowired
	private TenantInfoService tenantInfoService;

	@Override
	public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
		
		SysUser sysUser = sysUserFeignService.queryUserInfo();
		
		if(sysUser != null){
			TenantContextHolder.setTenantId(sysUser.getTenantId() + "");
			
			TenantInfo tenantInfo = tenantInfoService.get(sysUser.getTenantId());
			if(tenantInfo != null){
				request.setAttribute(DATA_SOURCE_ID, tenantInfo.getDataSource());
			}
		}
		
		return true;
	}

	@Override
	public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex) throws Exception {
		TenantContextHolder.clearTenantId();
	}

}
