package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author hgw
 * Created by 2021-12-06
 */
@ApiModel(value = "云教室流量包配置参数")
public class CloudRoomFlowDto implements Serializable {

    private Integer id;

    /**
     * 分钟上限
     */
    @Min(value = 1, message = "分钟上限不能小于等于0！")
    @Max(value = 1000000, message = "分钟上限不能大于一百万分钟！")
    @NotNull(message = "分钟上限不能为空！")
    @ApiModelProperty(value = "分钟上限")
    private Integer minuteUpLimit;

    /**
     * 单价
     */
    @NotNull(message = "单价不能为空！")
    @DecimalMin(value = "0.01", message = "单价必需大于0元！")
    @DecimalMax(value = "100000", message = "单价不能大于10万元！")
    @ApiModelProperty(value = "单价")
    private BigDecimal price;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注")
    private String remark;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getMinuteUpLimit() {
        return minuteUpLimit;
    }

    public void setMinuteUpLimit(Integer minuteUpLimit) {
        this.minuteUpLimit = minuteUpLimit;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
