package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * tenant_config
 * @author 
 */
@ApiModel(value="机构配置表")
public class TenantConfig implements Serializable {
    /**
     * 主键
     */
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 机构id
     */
    @ApiModelProperty(value="机构id")
    private Integer tenantId;

    /**
     * 手续费率
     */
    @ApiModelProperty(value="手续费率")
    private BigDecimal chargeRate;

    /**
     * 可用教材id，多个用逗号分割
     */
    @ApiModelProperty(value="可用教材id，多个用逗号分割")
    private String teachingMaterialId;

    /**
     * 每月分润/元
     */
    @ApiModelProperty(value="每月分润/元")
    private BigDecimal monthDivide;

    /**
     * 每季度分润/元
     */
    @ApiModelProperty(value="每季度分润/元")
    private BigDecimal quarterDivide;

    /**
     * 每半年分润/元
     */
    @ApiModelProperty(value="每半年分润/元")
    private BigDecimal halfYearDivide;

    /**
     * 每年分润/元
     */
    @ApiModelProperty(value="每年分润/元")
    private BigDecimal yearDivide;

    /**
     * 更新人
     */
    @ApiModelProperty(value="更新人")
    private Integer updatedBy;

    /**
     * 更新时间
     */
    @ApiModelProperty(value="更新时间")
    private Date updatedTime;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public BigDecimal getChargeRate() {
        return chargeRate;
    }

    public void setChargeRate(BigDecimal chargeRate) {
        this.chargeRate = chargeRate;
    }

    public String getTeachingMaterialId() {
        return teachingMaterialId;
    }

    public void setTeachingMaterialId(String teachingMaterialId) {
        this.teachingMaterialId = teachingMaterialId;
    }

    public BigDecimal getMonthDivide() {
        return monthDivide;
    }

    public void setMonthDivide(BigDecimal monthDivide) {
        this.monthDivide = monthDivide;
    }

    public BigDecimal getQuarterDivide() {
        return quarterDivide;
    }

    public void setQuarterDivide(BigDecimal quarterDivide) {
        this.quarterDivide = quarterDivide;
    }

    public BigDecimal getHalfYearDivide() {
        return halfYearDivide;
    }

    public void setHalfYearDivide(BigDecimal halfYearDivide) {
        this.halfYearDivide = halfYearDivide;
    }

    public BigDecimal getYearDivide() {
        return yearDivide;
    }

    public void setYearDivide(BigDecimal yearDivide) {
        this.yearDivide = yearDivide;
    }

    public Integer getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Integer updatedBy) {
        this.updatedBy = updatedBy;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }
}