package com.ym.mec.biz.dal.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * tenant_product_info
 * @author 
 */
@ApiModel(value="机构产品设置表")
public class TenantProductInfo implements Serializable {
    /**
     * 主键
     */
    @ApiModelProperty(value="主键")
    private Integer id;

    /**
     * 机构id
     */
    @ApiModelProperty(value="机构id")
    private Integer tenantId;

    /**
     * 选择的服务的id
     */
    @ApiModelProperty(value="选择的服务的id")
    private Integer serveId;

    /**
     * 服务的付费类型id
     */
    @ApiModelProperty(value="服务的付费类型id")
    private Integer serveDetailId;

    /**
     * 原价
     */
    @ApiModelProperty(value="原价")
    private String originalPrice;

    /**
     * 合同价
     */
    @ApiModelProperty(value="合同价")
    private BigDecimal contractPrice;

    /**
     * 有效期(数字-结合有效期单位)
     */
    @ApiModelProperty(value="有效期(数字-结合有效期单位)")
    private Integer expiryCount;

    /**
     * 有效期单位(年/月)
     */
    @ApiModelProperty(value="有效期单位(年/月)")
    private String expiryUnit;

    /**
     * 有效期(具体到期时间)
     */
    @ApiModelProperty(value="有效期(具体到期时间)")
    private Date expiryData;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getTenantId() {
        return tenantId;
    }

    public void setTenantId(Integer tenantId) {
        this.tenantId = tenantId;
    }

    public Integer getServeId() {
        return serveId;
    }

    public void setServeId(Integer serveId) {
        this.serveId = serveId;
    }

    public Integer getServeDetailId() {
        return serveDetailId;
    }

    public void setServeDetailId(Integer serveDetailId) {
        this.serveDetailId = serveDetailId;
    }

    public String getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(String originalPrice) {
        this.originalPrice = originalPrice;
    }

    public BigDecimal getContractPrice() {
        return contractPrice;
    }

    public void setContractPrice(BigDecimal contractPrice) {
        this.contractPrice = contractPrice;
    }

    public Integer getExpiryCount() {
        return expiryCount;
    }

    public void setExpiryCount(Integer expiryCount) {
        this.expiryCount = expiryCount;
    }

    public String getExpiryUnit() {
        return expiryUnit;
    }

    public void setExpiryUnit(String expiryUnit) {
        this.expiryUnit = expiryUnit;
    }

    public Date getExpiryData() {
        return expiryData;
    }

    public void setExpiryData(Date expiryData) {
        this.expiryData = expiryData;
    }

}